
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET技巧：创建不了XMLHTTP控件 / iVAN</title>

    <meta name="description" content="ASP.NET技巧：创建不了XMLHTTP控件 asp.net|xml|创建|技巧|控件 最近在用ajax开发服务器程序,发现IE浏览器不支持xmlhttprequest对象,而且找不到Microsoft.XMLHTTP控件. 问题出现了我们需要解决,解决方案如下: 1.运行下regsvr32 msxml3.dll:2.用现成的框架来做ajax:3.代码优化: if(window.ActiveXObject)    {        xmlHttp = new ActiveXObject(&quot;Microsoft.XMLHTTP&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET技巧：创建不了XMLHTTP控件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|xml|创建|技巧|控件</p>
<p>最近在用ajax开发服务器程序，发现IE浏览器不支持xmlhttprequest对象，而且找不到Microsoft.XMLHTTP控件。</p>
<p>问题出现了我们需要解决，解决方案如下：</p>
<p>1、运行下regsvr32 msxml3.dll；<br />2、用现成的框架来做ajax；<br />3、代码优化：</p>
<p>if(window.ActiveXObject)<br />    {<br />        xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");<br />    }<br />    else if(window.XMLHttpRequest)<br />    {<br />        xmlHttp = new XMLHttpRequest();<br />    }</p>
<p>    if(handle_s == null)<br />        handle_s = "bin/normal.py/db";<br />    this.xmlHttp.onreadystatechange = handle_l;<br />    this.xmlHttp.open("GET",handle_s,true);<br />    this.xmlHttp.send(null);</p>
<p>或判断浏览器</p>
<p>var agt = navigator.userAgent.toLowerCase();<br />var is_ie = (agt.indexOf("msie") != -1);<br />var is_ie5 = (agt.indexOf("msie 5") != -1);<br />var is_opera = (agt.indexOf("opera") != -1);<br />var is_mac = (agt.indexOf("mac") != -1);<br />var is_gecko = (agt.indexOf("gecko") != -1);<br />var is_safari = (agt.indexOf("safari") != -1);</p>
<p>function CreateXmlHttpReq(handler) {</p>
<p>var xmlhttp = null;<br />if (is_ie) {<br />// Guaranteed to be ie5 or ie6<br />var control = (is_ie5) ? "Microsoft.XMLHTTP" : "Msxml2.XMLHTTP";</p>
<p>try {<br />xmlhttp = new ActiveXObject(control);<br />xmlhttp.onreadystatechange = handler;<br />} catch (ex) {<br />// TODO: better help message<br />alert("You need to enable active scripting and activeX controls");<br />}</p>
<p>} else {</p>
<p>// Mozilla<br />xmlhttp = new XMLHttpRequest();<br />xmlhttp.onload = handler;<br />xmlhttp.onerror = handler;</p>
<p>}</p>
<p>return xmlhttp;<br />}</p>
<p>或者</p>
<p>&lt;script language="javascript"&gt;<br />    var http_request = false;<br />    function send_request(url) {//初始化、指定处理函数、发送请求的函数<br />        http_request = false;<br />        //开始初始化XMLHttpRequest对象<br />        if(window.XMLHttpRequest) { //Mozilla 浏览器<br />            http_request = new XMLHttpRequest();<br />            if (http_request.overrideMimeType) {//设置MiME类别<br />                http_request.overrideMimeType('text/xml');<br />            }<br />        }<br />        else if (window.ActiveXObject) { // IE浏览器<br />            try {<br />                http_request = new ActiveXObject("Msxml2.XMLHTTP");<br />            } catch (e) {<br />                try {<br />                    http_request = new ActiveXObject("Microsoft.XMLHTTP");<br />                } catch (e) {}<br />            }<br />        }<br />        if (!http_request) { // 异常，创建对象实例失败<br />            window.alert("不能创建XMLHttpRequest对象实例.");<br />            return false;<br />        }<br />        http_request.onreadystatechange = processRequest;<br />        // 确定发送请求的方式和URL以及是否同步执行下段代码<br />        http_request.open("GET", url, true);<br />        http_request.send(null);<br />    }<br />    // 处理返回信息的函数<br />    function processRequest() {<br />        if (http_request.readyState == 4) { // 判断对象状态<br />            if (http_request.status == 200) { // 信息已经成功返回，开始处理信息<br />                var returnObj = http_request.responseXML;<br />                var xmlobj = http_request.responseXML;<br />                var employees = xmlobj.getElementsByTagName("employee");<br />                var feedbackStr = "";<br />                for(var i=0;i&lt;employees.length;i++) { // 循环读取employees.xml的内容<br />                    var employee = employees[i];<br />                    feedbackStr += "员工：" + employee.getAttribute("name");//取得标签指定属性<br />                    feedbackStr += " 职位：" + employee.getElementsByTagName("job")[0].firstChild.data;//取得指定标签的最初数据<br />                    feedbackStr += " 工资：" + employee.getElementsByTagName("salary")[0].firstChild.data;<br />                    feedbackStr +=  "\r\n";<br />                }<br />                alert(feedbackStr);<br />            } else { //页面不正常<br />                alert("您所请求的页面有异常。");<br />            }<br />        }<br />    }<br />&lt;/script&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 22:44:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/var/" title="var">var</a>, <a href="https://www.iamivan.net/tag/xmlhttprequest/" title="xmlhttprequest">xmlhttprequest</a>, <a href="https://www.iamivan.net/tag/xmlhttp/" title="xmlhttp">xmlhttp</a>, <a href="https://www.iamivan.net/tag/activexobject/" title="activexobject">activexobject</a>, <a href="https://www.iamivan.net/tag/indexof/" title="IndexOf">IndexOf</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET技巧：创建不了XMLHTTP控件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6k58gp.html" rel="bookmark">ASP&period;NET中访问DataGrid中所有控件值的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.NET中访问DataGrid中所有控件值的方法.分享给大家供大家参考,具体如下: &lt;%@ Page Language=&quot;C#&quot; %&gt; &lt;%@ import Namespace=&quot;System.Collections&quot; %&gt; &lt;script runat=&quot;server&quot;&gt; void Page_Load(Object sender, EventArgs e) { if(!Page.IsPost			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm31e3b.html" rel="bookmark">asp&period;net中将数据库绑定到DataList控件的实现方法与实例代码&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决方法1: datalist databind() 解决方法2: 查看MSDN上的详细说明资料 解决方法3: 在DataList的模板中用table表格,如: 复制代码 代码如下: &lt;asp:DataList ID=&quot;dlDetailedInfo&quot; runat=&quot;server&quot; OnItemDataBound=&quot;dlDetailedInfo_ItemDataBound&quot; Width=&quot;100%&quot;&gt; &lt;Ite			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2EwVz.html" rel="bookmark">ASP&period;NET 2&period;0中的登陆控件简介（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 asp.net 2.0中,新增了许多新的功能和控件.其中,新增的登陆控件可谓使得WEB应用的设计更加得心应手.什么是登陆控件呢?就是我们平常在WEB应用中经常要用到的用户注册,登陆,忘记密码,登陆后根据权限的不同而显示不同的页面等功能,现在在asp.net 2.0中都已经可以由提供的控件来实现了.ASP.NET 2.0中的登陆控件比较多,封装了大部分WEB应用中要实现系统登陆的系列功能,涉及到很多方面,本文将简单介绍一下它们的主要功能.       首先,asp.net 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD750p.html" rel="bookmark">ASP&period;NET 2&period;0中的登陆控件简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 asp.net 2.0中,新增了许多新的功能和控件.其中,新增的登陆控件可谓使得WEB应用的设计更加得心应手.什么是登陆控件呢?就是我们平常在WEB应用中经常要用到的用户注册,登陆,忘记密码,登陆后根据权限的不同而显示不同的页面等功能,现在在asp.net 2.0中都已经可以由提供的控件来实现了.ASP.NET 2.0中的登陆控件比较多,封装了大部分WEB应用中要实现系统登陆的系列功能,涉及到很多方面,本文将简单介绍一下它们的主要功能. 首先,asp.net 2.0中,为了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjnKZb.html" rel="bookmark">探讨ASP&period;NET 2&period;0中的Web控件改进技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|web|控件 ASP.NET 2.0并没有抛弃1.1版本中的任何现有控件,而是增加了一组新的控件;同时还引入了若干新的控件开发技术.本系列文章将对这些内容展开全面探讨. 一. 引言 到目前为止,你可能已经了解了大量的ASP.NET 2.0新特征-母版页面,主题,提供者,等等--所有这样内容都相当精彩;但是,你是否了解到有关定制Web控件开发方面的重大变化?这正是我在本文中所想讨论的.如果你已经从事于控件开发,那么,我想本文所描述的ASP.NET 2.0中的新的改进特征会立即应用于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq4Okb.html" rel="bookmark">从头创建 Visual Basic &period;NET 控件 &lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|创建|控件 第 3 步:实现属性和事件要实现 Status 属性,首先要为可能的属性值创建枚举.将以下几行插入以 Inherits 开始的行下面: Public Enum TrafficLightStatus    statusRed = 1    statusYellow = 2    statusGreen = 3End Enum 此枚举是公开的,也就是说使用该控件的窗体可以访问它. 在这些行下面添加以下三行: Dim mStatus As TrafficLightStatus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl7xOb.html" rel="bookmark">使用ASP&period;NET 2&period;0中的GridView控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 在ASP.NET 2.0中,加入了许多新的功能和控件,相比asp.net 1.0/1.1,在各方面都有了很大的提高.其中,在数据控件方面,增加了不少控件,其中的gridview控件功能十分强大.在本文中,将一步步以实际例子为读者介绍asp.ne 2.0中gridview控件的简单使用. 用过asp.net 1.0/1.1的朋友或者也感觉到,其中的datagrid控件功能是十分强大而且实用的,但随之而来的问题是,感觉在操作上依然不大方便,比如要用ado.net写数据的连接,绑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPvl8z.html" rel="bookmark">ASP&period;NET4灵活显标记&colon;数据Web控件改进</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				长期以来,使用Web控件的开发者都欣赏这些控件所具有的高生产力,但在控 制它们生成的标记方面却付出了一定的代价.例如,许多ASP.NET控件会自动地使 用元素来包装它们的内容,原因是为了方便布局或样式控制.然而,这种行为却 与过去几年中不断发展的网络标准相违背;这些标准支持使用更清洁和更简洁的 HTML标记,而建议节约使用&lt;table&gt;标记;同时,它们提倡应当尽可能使用 层叠样式表(CSS)来实现网页的布局和造型.此外,&lt;table&gt;元素和其他自 动添加的内容使得使用CSS来修饰W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKy6P5p.html" rel="bookmark">在ASP&period;NET MVC 中使用ActiveReports报表控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着MVC模式的广泛运用,对Web应用系统的开发带来了巨大的影响,我们好像又回到了原来的ASP时代,视乎这是一种后退而不是一种进步,不过MVC模式给我们带来的影响不仅限于我们所看到的这一点..MVC看上去是使用原来的HTML页面来呈现内容,但其核心是 .NET路由引擎,通过.NET路由引擎使得MVC设计模式更容易被理解,更方便开发人员所使用,而且不必担心视图状态以及页面的生命周期.  ActiveReports最初是为传统的 .NET Web Forms 系统所设计,但也可用于MVC模式的系统中			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2W0QM.html" rel="bookmark" class="title">WML教程：文本框控件（Input）</a>
					<div>
						教程|控件|文本框 &lt;input name=&quot;name&quot; title=&quot;title&quot; type=&quot;type&quot; value=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwO7kz.html" rel="bookmark" class="title">Java中实现基于Aspectwerkz的AOP开发</a>
					<div>
						一.AOP编程概览 面向对象编程技术进入软件开发的主流对软件的开发方式产生了极大的影响,开发者可以用一组实体以及这些实体之间的关系将系统形象地表示出来,这使得他们能够设计出规模更大.更复杂的系统,开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPdorp.html" rel="bookmark" class="title">Windows 98下安装phpMyAdmin的方法</a>
					<div>
						window 1.安装PHP4 软件获得:国外http://www.php.net;国内http://www.phpchina.com, http://phpuser.com等得到压缩包以后解压缩到c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7rdRp.html" rel="bookmark" class="title">Google Analytics使用中的常见问题&lpar;二&rpar;</a>
					<div>
						本篇是Google Analytics使用中的常见问题系列文章的第二篇,感谢所有在邮件中和我分享问题的朋友们,我也许不能一一回复你们的问题,但我会将所有的问题整理分类,以文章的形式发布出来,与大家一起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBq5jb.html" rel="bookmark" class="title">Windows Server 2012如何把计算机图标添加到桌面</a>
					<div>
						Windows Server 2012系统安装完以后桌面默认只有回收站一个图标,如何将window常用的图标(计算机.控制面板.网络.用户文件)的图标添加到桌面呢? Windows Server 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYqoz.html" rel="bookmark" class="title">用xampp在本地搭建Wordpress</a>
					<div>
						要出门了,可还是放不下放刚出来的k2 0.9,还是想好好研究一下,虽然有笔记本,可是没有无线网络啊.左思右想,还是在本地搭建个wordpress吧,这样一来就算没有网络,也可以随时玩wp了.以下以wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NVyNz.html" rel="bookmark" class="title">MySQL数据库中鲜为人知的技巧</a>
					<div>
						MySQL易学易用,且附带丰富的技术文档,这二个因素使之被广泛应用.然而,随着MySQL发展之迅速,即使一个MySQL老手有时也会为该软件出其不意的功能感叹.本文将为你介绍这些不为人知的特性. 以XM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOJ2qb.html" rel="bookmark" class="title">在ASP&period;NET页面中实现数据饼图</a>
					<div>
						在&lt;在ASP.NET页面中实现数据棒图&gt;中已经介绍了ASP.NET中数据棒图的绘制方法.前文已经说过,ASP.NET之所以能够在客户端浏览器中形成各种数据图片,是因为在ASP.NET中提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ad86p.html" rel="bookmark" class="title">Lucene：基于Java的全文检索引擎简介</a>
					<div>
						Lucene是一个基于Java的全文索引工具包. 基于Java的全文索引引擎Lucene简介:关于作者和Lucene的历史 全文检索的实现:Luene全文索引和数据库索引的比较 中文切分词机制简介:基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yB0vz.html" rel="bookmark" class="title">win7开机密码忘了怎么办</a>
					<div>
						目前使用win7系统的用户越来越多,与XP系统相比,win7系统的安全级别也更高一些.那么在使用window7时,电脑设置密码后,是否会出现开机后不小心忘记开机密码的情况呢?如何找回window7开机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElxnPz.html" rel="bookmark" class="title">XP系统如何利用网页解锁注册表</a>
					<div>
						  XP系统如何利用网页解锁注册表 解锁方法: 打开记事本,在里面输入如下内容: (注意,输入时需要将全角改成半角输入) var shl=new ActiveXObject(&quot;Wscript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG5Y9p.html" rel="bookmark" class="title">win8桌面图标快捷方式小箭头怎么去掉？</a>
					<div>
						  第一.在桌面右键新建一个文本文档,将下面的代码复制进去,另存为win8.bat(文件类型选择所有文件),右键&quot;以管理员身份运行&quot;,重启电脑即可方法快捷方式箭头消失了. reg  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72E6Rp.html" rel="bookmark" class="title">Horizon27特色软件Aura下乐商店使用说明</a>
					<div>
						  操作步骤: 打开Aura软件,在Aura界面中找到乐商店图标,点击后会弹乐商店的图标和推荐应用.再点击&quot;乐商店&quot;应用, 进入乐商店主界面,默认是游戏界面: 这是教育类应用的界面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W7anb.html" rel="bookmark" class="title">Microsoft office 2015版如何安装</a>
					<div>
						  1.下载Microsoft office 2015安装包,并解压,在里面找setup.exe,以管理员身份运行 2.勾选我接受此协议的条款,继续 3.在选择所需的安装 ,可以选择立即安装,也可以选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWnJyp.html" rel="bookmark" class="title">&lbrack;perl&rsqb;数据相关</a>
					<div>
						perl变量: $a 代表变量a @a 代表数组a  数组的增删改查如下: @a=(&quot;1&quot; , &quot;2&quot; , &quot;3&quot;); 可以如下表示: @a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32grkz.html" rel="bookmark" class="title">vb6-求大神解答VB6&period;0自适应大小问题</a>
					<div>
						问题描述 求大神解答VB6.0自适应大小问题 控件自适应大小已实现,但是textbox中字体自适应大小出现问题.label和commandbutton用同样代码皆正常,只有textbox字体变大后再缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwdQwp.html" rel="bookmark" class="title">容器标准化迈出关键性一步</a>
					<div>
						不论是传统IT架构管理者还是云架构管理者,都对容器的技术优势赞不绝口,但真正困扰着用户的难题在于,到底哪种容器方案最为出色.为了解决这一标准争议,由Docker公司和Linux基金会共同发起的开放容器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z406x1z.html" rel="bookmark" class="title">java新手，程序能正常运行，但结果不对</a>
					<div>
						问题描述 java新手,程序能正常运行,但结果不对 输入年份.月份,打印出月历的小程序.源代码全是照着教程打上去的,程序能正常运行,但结果不对.输入2015年8月,月历是对的:输入2014年1月,正确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmwAAb.html" rel="bookmark" class="title">首款OPhone手机停止预售客服称厂家没货</a>
					<div>
						联想手机网上商城昨天突然停止预售OPhone手机.商城相关人员表示,联想手机商城将不再预售OPhone手机. 此前,联想网上商城显示,首款OPhone手机联想O1预售时间从10月12日到10月25日, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7L82z.html" rel="bookmark" class="title">json数据转成树结构的问题</a>
					<div>
						问题描述 json数据转成树结构的问题 求大神指导如何在js端把如下json数据改造成一个树结构在网页中显示出来. json=[{&quot;children&quot;:[{&quot;childr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn58KM.html" rel="bookmark" class="title">手机浏览器v2&period;4&period;9</a>
					<div>
						相似的经历成就相知的我们,不同的祝福要送给与众不同的你,在这个特殊的日子里,傲游手机浏览器v2.4.9携四大亮点祝福所有女性朋友节日快乐! 亮点2:地址栏随传随到 &amp;http://www.al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jj33z.html" rel="bookmark" class="title">常用的AJAX弹出层代码</a>
					<div>
						Code&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRdKKp.html" rel="bookmark" class="title">2014年，投资者们将大量资金投入到互联网医疗领域</a>
					<div>
						摘要: 在2014年,投资者们将大量资金投入到互联网医疗领域,有代表性的比如:Flatiron Health.Nanthealth.Proteus Digital Health.挂号网.丁香园.春雨医 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeX1PM.html" rel="bookmark" class="title">增加反向链接的SEO经验之谈</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 本人认为增加反向链接可以提高网站排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgrNkM.html" rel="bookmark" class="title">《Web性能实践日志》一第1章 WebPageTest内部原理1&period;1 函数拦截</a>
					<div>
						第1章 WebPageTest内部原理 Web性能实践日志 作者:Patrick Meenan 我想借着今年的这次机会向大家介绍一下WebPageTest是如何从浏览器获取性能数据的.虽然它与Wind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0GlLp.html" rel="bookmark" class="title">大数据如何成为智能3&period;0时代新&OpenCurlyDoubleQuote;使能&rdquo;&quest;</a>
					<div>
						在今年美国麻省理工评选的2016年十大突破技术中,百度语音接口技术上榜,而其上榜的&quot;功丞&quot;首推百度的大数据和人工智能技术.随着人类社会的各类设备在不停地感知.传输.存储数据,大数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7BqKz.html" rel="bookmark" class="title">砂糖橘屡屡被冒充水果贴假标签已是行业潜规则</a>
					<div>
						除柚子.甘蔗和苹果外,当下时令水果中最受欢迎的非橘子莫属了.与其他水果相比,食用方便.价格相对低廉的橘子,拥有众多粉丝,其中尤以砂糖橘最受人们青睐. 最近,随着天气渐渐转凉,越来越多的市民开始在各大水 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKELEz.html" rel="bookmark" class="title">什么是好的反向链接</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于一个网站而言,好的反向链接是可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmq16z.html" rel="bookmark" class="title">ScriptResource&period;axd 问题</a>
					<div>
						问题描述 使用Ajax的时候产生的页面里面有类似这种:&lt;scriptsrc=&quot;/MRAAS/ScriptResource.axd?d=gVFyK_VOvW_YFL_j1bB3MpV8w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV0KDz.html" rel="bookmark" class="title">如何动态的创建 Singleton 实例</a>
					<div>
						问题描述 如果一个类ClassA日后要有不同的实现,那么我可以将ClassA中的接口提取出来之后放入一个InterfaceA中,然后通过&quot;工厂模式&quot;在工厂中通过读取配置文件(获取对 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
